Package org.eclipse.microprofile.openapi.tck

# Class ModelConstructionTest

java.lang.Object
org.jboss.arquillian.testng.Arquillian
org.eclipse.microprofile.openapi.tck.ModelConstructionTest

All Implemented Interfaces:
  `org.testng.IHookable`, `org.testng.ITestNGListener`

public class ModelConstructionTest extends org.jboss.arquillian.testng.Arquillian
This test covers construction of the OpenAPI model. It verifies that the implementation can create instances of all of the Constructible interfaces and then invokes methods (including getters, setters and builders) on those instances to verify that they behave correctly.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

## Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

## Constructor Summary

Constructors
Constructor
Description
`ModelConstructionTest()`

## Method Summary

Modifier and Type
Method
Description
`void`
`apiResponsesTest()`
`void`
`apiResponseTest()`
`static void`
`assertNotSame(Object actual, Object expected, String message)`
Asserts that two objects do not refer to the same objects.
`static void`
`assertSame(Object actual, Object expected, String message)`
Asserts that two objects refer to the same object.
`void`
`callbackTest()`
`void`
`componentsTest()`
`void`
`contactTest()`
`void`
`contentTest()`
`static org.jboss.shrinkwrap.api.spec.WebArchive`
`createDeployment()`
`void`
`discriminatorTest()`
`void`
`encodingTest()`
`void`
`exampleTest()`
`void`
`externalDocumentationTest()`
`void`
`headerTest()`
`void`
`infoTest()`
`void`
`licenseTest()`
`void`
`linkTest()`
`void`
`mediaTypeTest()`
`void`
`oAuthFlowsTest()`
`void`
`oAuthFlowTest()`
`void`
`openAPITest()`
`void`
`operationTest()`
`void`
`parameterTest()`
`void`
`pathItemTest()`
`void`
`pathsTest()`
`void`
`requestBodyTest()`
`void`
`schemaTest()`
`void`
`securityRequirementTest()`
`void`
`securitySchemeTest()`
`void`
`serverTest()`
`void`
`serverVariableTest()`
`void`
`tagTest()`
`void`
`testSchemaArbitraryProperties()`
`<V> void`
`testSchemaListProperty(Schema testSchema, String name, Function<Schema,List<V>> getter, BiConsumer<Schema,List<V>> setter, V testValue)`
`<V> void`
`testSchemaMapProperty(Schema testSchema, String name, Function<Schema,Map<String,V>> getter, BiConsumer<Schema,Map<String,V>> setter, V testValue)`
`<V> void`
`testSchemaProperty(Schema testSchema, String name, Function<Schema,V> getter, BiConsumer<Schema,V> setter, V testValue)`
`void`
`xmlTest()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ModelConstructionTest

public ModelConstructionTest()

## Method Details

### assertSame

public static void assertSame(Object actual, Object expected, String message)
Asserts that two objects refer to the same object. If they do not, an AssertionError, with the given message, is thrown.

Parameters:
  `actual` - the actual value
  `expected` - the expected value
  `message` - the assertion error message

### assertNotSame

public static void assertNotSame(Object actual, Object expected, String message)
Asserts that two objects do not refer to the same objects. If they do, an AssertionError, with the given message, is thrown.

Parameters:
  `actual` - the actual value
  `expected` - the expected value
  `message` - the assertion error message

### createDeployment

@Deployment public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

### componentsTest

public void componentsTest()

### externalDocumentationTest

public void externalDocumentationTest()

### openAPITest

public void openAPITest()

### operationTest

public void operationTest()

### pathItemTest

public void pathItemTest()

### pathsTest

public void pathsTest()

### callbackTest

public void callbackTest()

### exampleTest

public void exampleTest()

### headerTest

public void headerTest()

### contactTest

public void contactTest()

### infoTest

public void infoTest()

### licenseTest

public void licenseTest()

### linkTest

public void linkTest()

### contentTest

public void contentTest()

### discriminatorTest

public void discriminatorTest()

### encodingTest

public void encodingTest()

### mediaTypeTest

public void mediaTypeTest()

### schemaTest

public void schemaTest()

### testSchemaArbitraryProperties

public void testSchemaArbitraryProperties()

### testSchemaProperty

public <V> void testSchemaProperty(Schema testSchema, String name, Function<Schema,V> getter, BiConsumer<Schema,V> setter, V testValue)

### testSchemaMapProperty

public <V> void testSchemaMapProperty(Schema testSchema, String name, Function<Schema,Map<String,V>> getter, BiConsumer<Schema,Map<String,V>> setter, V testValue)

### testSchemaListProperty

public <V> void testSchemaListProperty(Schema testSchema, String name, Function<Schema,List<V>> getter, BiConsumer<Schema,List<V>> setter, V testValue)

### xmlTest

public void xmlTest()

### parameterTest

public void parameterTest()

### requestBodyTest

public void requestBodyTest()

### apiResponseTest

public void apiResponseTest()

### apiResponsesTest

public void apiResponsesTest()

### oAuthFlowTest

public void oAuthFlowTest()

### oAuthFlowsTest

public void oAuthFlowsTest()

### securityRequirementTest

public void securityRequirementTest()

### securitySchemeTest

public void securitySchemeTest()

### serverTest

public void serverTest()

### serverVariableTest

public void serverVariableTest()

### tagTest

public void tagTest()